#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import logging

AUTHOR = 'Caleb Fangmeier'
SITENAME = "Caleb Fangmeier's Doctoral Thesis"
SITEURL = 'thesis.fangmeier.tech'

TIMEZONE = 'America/Chicago'

DEFAULT_LANG = 'en'
THEME = 'elegant'
PLUGIN_PATHS = ['plugins']
PLUGINS = ['sitemap', 'extract_toc', 'tipue_search']

DIRECT_TEMPLATES = (('index', 'tags', 'categories',
                     'archives', 'search', '404'))
STATIC_PATHS = ['theme/images', 'images', 'figures']
TAG_SAVE_AS = ''
CATEGORY_SAVE_AS = ''
AUTHOR_SAVE_AS = ''
IGNORE_FILES = ['.#*', '*.md', 'chapter.html']
SLUGIFY_SOURCE = 'basename'

SITEMAP = {'format': 'txt'}
DEFAULT_DATE = 'fs'  # filesystem date

LOG_FILTER = [
    (logging.WARN, 'Empty alt attribute for image %s in %s'),
]

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True
